# This file represents the base specification of your challenge. It is used by
# other tools to install and deploy your challenge.

# Repo: https://gitlab.com/jointcyberrange.nl/ctfd-container-challenges/1-html-code

# Required sections
name: "BobNeedsHelp"
author: "Google"
category: "miscellaneous"
# Different description needed?
description: | 
   Bob needs some help of you, although the reward isn't that appealing...

# No value was specified in the repo
value: 100
# pPlugin needed for type: container
type: container

# Settings used for Dockerfile deployment
# If not used, remove or set to null
# If you have a Dockerfile set to .
# If you have an imaged hosted on Docker set to the image url (e.g. python/3.8:latest, registry.gitlab.com/python/3.8:latest)
# Follow Docker best practices and assign a tag
image: 

# Specify a protocol that should be used to connect to the running image
# For example if the image is a website you can specify http or https
# Otherwise you can specify tcp
protocol: http

# Specify a host to deploy the challenge onto.
# The currently supported URI schemes are ssh:// and registry://
# ssh is an ssh URI where the above image will be copied to and deployed (e.g. ssh://root@123.123.123.123)
# registry is a Docker registry tag (e.g registry://registry.example.com/test/image)
# host can also be specified during the deploy process: `ctf challenge deploy challenge --host=ssh://root@123.123.123.123`
host: null

# Optional settings

# connection_info is used to provide a link, hostname, or instructions on how to connect to a challenge
connection_info:

# healthcheck is a tool/script used to check a challenge
# If connection_info was provided to CTFd when the challenge was installed, it will be passed to the healthcheck script:
# ./writeup/exploit.sh --connection-info "nc hostname 12345"
healthcheck: writeup/exploit.sh

# Can be removed if unused
attempts: 0

# Flags specify answers that your challenge use. You should generally provide at least one.
# Can be removed if unused
# Accepts strings or dictionaries of CTFd API data
flags:
    # A static case sensitive flag
    - CTF{Bob_Isnt_Really_Good_At_Security}

# The state of the challenge.
# If the field is omitted, the challenge is visible by default.
# If provided, the field can take one of two values: hidden, visible.
state: visible

# Specifies what version of the challenge specification was used.
# Subject to change until ctfcli v1.0.0
version: "0.1"

extra:
    initial: 100
    decay: 0
    minimum: 100

    challenge_type: miscelanious
    compose: | 
        version: '3.3'

        services:
          google-2018-finals-misc-distributed:
            container_name: google-2018-finals-misc-distributed
            image: registry.gitlab.com/jointcyberrange.nl/bazaar-of-ctfd-challenges/google-2018-finals-misc-distributed
            ports:
              - 1900:1337
            labels:
              kompose.service.type: nodeport
